{% extends 'profile/ppbd/layouts/admin/admin_layout.html' %}
{% load static %}
{% block css %}
    <link rel="stylesheet" type="text/css" href="{% static 'admin/css/datatables/datatables.min.css' %}">
    <style>
        .img-bagss {
            position: absolute;
            top: 0;
            background-color: rgba(255, 0, 0, 0.8);
            text-align: center;
            font-weight: 500;
            line-height: 16px;
            padding: 5px 10px;
            color: #FFFFFF;
            border-radius: 5px 5px 5px 0;
        }
        .img-bagss .tag-bln { font-size: 15px; }
        .tdx{
            max-width: 200px;
            word-wrap: break-word;
        }
    </style>
{% endblock css %}
{% block navbar %}
    {% include 'profile/layouts/admin/navbar.html' %}
{% endblock navbar %}

{% block main %}
    <nav aria-label="breadcrumb">
        <ol class="breadcrumb">
            <li class="breadcrumb-item"><a href="{% url 'profile:admin_home' %}">Home</a></li>
            <li class="breadcrumb-item active" aria-current="page">Setting FAQ</li>
        </ol>
    </nav>

    {% if messages %}
        {% for message in messages %}
            <div class="alert {{ message.tags }} my-2" role="alert">
                {{message}}
                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>  
        {% endfor %}
    {% endif %}

    <div class="card shadow mb-5">
        <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
            <h6 class="m-0 font-weight-bold text-info">Setting FAQ</h6>
        </div>
        <div class="card-body">

            <form action="{% url 'profile:adm_ppdb_faq' %}" method="POST">
                {% csrf_token %}
                <div class="form-row mb-2" id="edit-faq_keterangan">
                    <label class="col-sm-2 col-form-label">FAQ Description</label>
                    <div class="col-10">
                        <textarea class="form-control" required maxlength="300" name="faq_keterangan" rows="2">{{form.faq_keterangan}}</textarea>
                    </div>
                </div>
                <div class="form-row mb-1" id="edit-call_center">
                    <label class="col-sm-2 col-form-label">Call Center</label>
                    <div class="col-4">
                        <input type="text" class="form-control" required maxlength="50" name="call_center" value="{{form.call_center}}">
                        <small>Nomor berformat +62.</small>
                    </div>
                    <div class="col-2">
                        <button type="submit" class="btn btn-success confirm-form"><i class="bi bi-save"></i> Simpan Data</button>
                    </div>
                </div>
                <hr class="mb-2">
            </form>

            <a href="{% url 'profile:adm_ppdb_faq_create' %}"> 
                <button type="button" class="btn btn-info mt-2 mb-2"><i class="bi bi-plus"></i> Tambah FAQ</button>
            </a>
            <button class="btn btn-danger pass-data mt-2 mb-2" 
                data-toggle="modal" data-target="#modal-center"><i class="bi bi-search"></i> Lihat Data Arsip
            </button>
            <table class="table table-striped table-bordered dt-responsive" id="table-list">
                <thead class="bg-info text-white">
                    <tr>
                        <th scope="col" class="text-center">No</th>
                        <th scope="col" class="text-center">Judul</th>
                        <th scope="col" class="text-center">Deskripsi</th>
                        <th scope="col" class="text-center">Aksi</th>
                    </tr>
                </thead>
                <tbody>
                    {% for dt in data_list %}
                        <tr>
                            <td>{{forloop.counter}}</td>
                            <td align='left'>{{ dt.title }}</td>
                            <td align='left'>{{ dt.description  | safe | truncatewords:8 }}</td>
                            <td>
                                <div class="d-flex align-items-center justify-content-center px-3 py-2 mt-2">
                                    <a class="btn btn-success btn-circle mr-3 mb-2" 
                                        href="{%  url 'profile:adm_ppdb_faq_edit' dt.slug %}"
                                        data-toggle="tooltip" data-placement="top" title="Edit">
                                        <i class="bi bi-pencil"></i>
                                    </a>
                                    <a href="#" class="btn btn-danger btn-circle mr-3 mb-2" 
                                        onclick="delete_('soft_delete', `{{ dt.title }}`, '{{ dt.slug }}', 'faq', 'FAQ')"
                                        data-toggle="tooltip" data-placement="top" title="Arsipkan">
                                        <i class="bi bi-archive"></i>
                                    </a>
                                </div>
                            </td>
                        </tr>
                   {% endfor %}
                </tbody>
            </table>
        </div>
    </div>

    <div class="modal fade" id="modal-center" tabindex="-1" role="dialog" aria-labelledby="modal-centerTitle" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered modal-xl" role="document">
            <div class="modal-content">
                <div class="modal-header">
                <h5 class="m-0 font-weight-bold text-info" id="exampleModalLongTitle">Daftar Data Arsip</h5>
                <button type="button" class="close text-info" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
                </div>
                <div class="modal-body">
                    {% include 'profile/ppbd/layouts/admin/faq/arsip.html' %}
                </div>
            </div>
        </div>
    </div>
{% endblock main %}

{% block footer %}
    {% include 'profile/layouts/admin/footer.html' %}
{% endblock footer %}

{% block scripts_bawah %}
    <script src="{% static 'admin/js/datatables/datatables.min.js' %}"></script>
    <script src="{% static 'ppbd/js/admin-aksi.js' %}"></script>
    <script>
        $(document).ready( function () {
            $('[data-tooltip="tooltip"]').tooltip();
            $('#table-list').DataTable({
                responsive: true,
            });
            $('#table-archive').DataTable({
                responsive: true,
            });


            $('.confirm-form').on('click', function(e) {
                e.preventDefault();
                let form = $(this).parents('form');
                Swal.fire({
                    title: "Ubah Data",
                    text: "Apakah anda yakin ingin mengubah data ini?",
                    type: "warning",
                    showCancelButton: true,
                    confirmButtonText: "Ya",
                    closeOnConfirm: false
                }).then((result) => {
                    if (result.isConfirmed) {
                        form.submit();
                    }
                });
            });
           
        });
        
    </script>
{% endblock scripts_bawah %}